From cd007da1716dcc25d8a92815a010aad5ee41c276 Mon Sep 17 00:00:00 2001
From: Barun Parruck <barun.parruck@gmail.com>
Date: Sun, 6 Mar 2016 02:19:06 +0530
Subject: [PATCH] Removes code that will never be run

Since QT 5 is now enforced, we no longer need any checks for Qt 5.
Further patches will be released that remove code that is no longer designed to run.
---
 src/Main/Core.cpp | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/src/Main/Core.cpp b/src/Main/Core.cpp
index d1fac98..31c555e 100644
--- a/src/Main/Core.cpp
+++ b/src/Main/Core.cpp
@@ -89,11 +89,7 @@ Core::~Core()
 void
 Core::createSettings()
 {
-#if QT_VERSION >= QT_VERSION_CHECK(5,0,0)
-    QString configDir = QStandardPaths::writableLocation( QStandardPaths::ConfigLocation );
-#else
-    QString configDir = QDesktopServices::storageLocation( QDesktopServices::DataLocation );
-#endif
+    QString configDir  = QStandardPaths::writableLocation( QStandardPaths::ConfigLocation );
     QString configPath = configDir + QDir::separator() + qApp->organizationName()
             + QDir::separator() + qApp->applicationName() + ".conf";
     m_settings = new Settings( configPath );
-- 
2.3.2 (Apple Git-55)

